Question Comment installer l'application de traçage de rayons POV-Ray sur 12.04?


Je suis surpris (et déçu) de voir que le programme classique de lancer de rayons a été supprimé des dépôts le 12.04. Quelle est la meilleure façon de l'installer? Il ne semble pas que quiconque ait préparé un AAE pour des raisons précises.


13
2018-06-26 21:08


origine


POV-Ray est maintenant disponible sous la GPL Affero, il retournera probablement dans les dépôts dans quelques versions. - Mechanical snail


Réponses:


licence

Du povray licence de distribution n'est pas une licence GPL2 + ou 3+ qui est normalement requise pour être incorporée dans les référentiels Ubuntu principaux.

Effectivement - debian classifier ceci comme non libre - bien que ce paquet ne soit pas disponible dans multivers, Je ne suis pas sûr.

compilation

Il est en fait très simple de compiler cette application en ligne de commande à partir de la source:

Installez d’abord certains prérequis:

sudo apt-get install build-essential

Maintenant, téléchargez le code source:

wget http://www.povray.org/redirect/www.povray.org/ftp/pub/povray/Official/Unix/povray-3.6.tar.gz

tar -zxvf povray-3.6.tar.gz
cd povray-3.6.1

Maintenant configurez-le:

./configure COMPILED_BY="yourname <youremail@somewhere.com>"

N.B. utilisez votre adresse e-mail.

Suivant - compiler et installer:

make
sudo make install

pour les non initiés ...

Ceci est un exemple de sortie

enregistrer le contenu ici comme povpawn.pov

Maintenant, lancez povray

povray +Ipovpawn.pov

Cela va créer un fichier dans votre dossier appelé povpawn.png

enter image description here

Plus d'informations sur le site web de povray:


9
2018-06-26 22:11



Travaillé comme un charme. - Barton Chittenden
Malheureusement, cela ne fonctionnera plus car l'archive n'est plus hébergée sur povray.org - regardez la réponse github ci-dessous. - Catherine Holloway
@ CatherineHolloway: L'ancienne version est toujours disponible, l'URL est povray.org/redirect/www.povray.org/ftp/pub/povray/Old-Versions/…. Il est déjà compilé et devrait fonctionner immédiatement. Utilisez le contenu install commande (via sudo) pour l'installer. - Florian Brucker


Vous pouvez obtenir la version la plus récente de POV-Ray à partir de github:

Obtenir le code source

git clone https://github.com/POV-Ray/povray.git

Installer les paquets requis

sudo apt-get install libboost-dev zlib1g-dev libpng12-dev libjpeg8-dev libtiff5-dev libopenexr-dev

Configurer, créer, installer

cd unix/
./prebuild.sh
cd ../
./configure COMPILED_BY="your name <email@address>" 
make
sudo make install

6
2018-02-01 19:43



Le 14.04 64bit, j'ai couru ./configure --with-boost-libdir=/usr/lib/x86_64-linux-gnu COMPILED_BY="my name <my-email-address>" - knb
Pour ceux qui ont des problèmes de threads lors de l'exécution ./configure: sudo apt-get install libboost-all-dev - user824294


J'ai suivi les instructions sur le POv-Ray site Web, et n'a pas rencontré beaucoup de problèmes lors de l'installation.


0
2017-08-12 09:44